# TdApi.RecoverPassword (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: RecoverPassword

Package it.tdlight.jni

# Class TdApi.RecoverPassword

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.RecoverPassword

Enclosing class:
  TdApi

    public static class TdApi.RecoverPassword
    extends TdApi.Function

Recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.

Returns `PasswordState`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `newHint` | New password hint; may be empty.
`String` | `newPassword` | New password of the user; may be empty to remove the password.
`String` | `recoveryCode` | Recovery code to check.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RecoverPassword()` | Recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.
`RecoverPassword​(DataInput input)` |
`RecoverPassword​(String recoveryCode, String newPassword, String newHint)` | Recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### recoveryCode

public String recoveryCode
Recovery code to check.

### newPassword

public String newPassword
New password of the user; may be empty to remove the password.

### newHint

public String newHint
New password hint; may be empty.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### RecoverPassword

public RecoverPassword()
Recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.

Returns `PasswordState`

### RecoverPassword

public RecoverPassword​(String recoveryCode, String newPassword, String newHint)
Recovers the 2-step verification password using a recovery code sent to an email address that was previously set up.

Returns `PasswordState`

Parameters:
  `recoveryCode` - String Recovery code to check.
  `newPassword` - String New password of the user; may be empty to remove the password.
  `newHint` - String New password hint; may be empty.

### RecoverPassword

public RecoverPassword​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`